#ifndef DISPLAY_SCHEMA_H
#define DISPLAY_SCHEMA_H


#include <QGraphicsView>
#include <QWidget>

#include <comdel/domain/schema.h>

namespace display {

    class BusConnection;

class Schema: public QGraphicsView
{
public:
    Schema();

    std::vector<BusConnection*> connections;

    void setSchema(domain::Schema* schema);

    void updateConnections();

private:
    QGraphicsScene scene;

    domain::Schema* schema;
};

} // namespace display

#endif // DISPLAY_SCHEMA_H
